Building a new version of the package
-------------------------------------

Check this for updates:
- /usr/share/doc/debian-policy/upgrading-checklist.txt.gz
- http://lintian.debian.org/full/pkg-games-devel@lists.alioth.debian.org.html#cytadela

# http://wiki.debian.org/Games/VCS
# http://wiki.debian.org/Games/VCS/git
git clone YOU@git.debian.org:/git/pkg-games/cytadela
cd cytadela/
git checkout -b pristine-tar origin/pristine-tar
git checkout -b upstream origin/upstream

#export DEBEMAIL=xxx
#export EDITOR=emacs

git checkout master
git-import-orig --pristine-tar ../cytadela_$VERSION.orig.tar.gz
# - Fix stuff...
#gbp buildpackage --git-builder="pdebuild --buildresult ../" --git-ignore-new
#gbp buildpackage --git-builder="pdebuild --buildresult ../ -- --binary-arch" --git-ignore-new
#gbp buildpackage --git-builder="pdebuild --buildresult ../ -- --binary-indep" --git-ignore-new
git commit -am "New upstream release - v$VERSION"
KEYID=...
gbp buildpackage \
  --git-builder="pdebuild --buildresult ../ --auto-debsign --debsign-k $KEYID" \
  --git-tag --git-keyid=$KEYID
git push origin master pristine-tar upstream
git push --tags

# http://mentors.debian.net/cgi-bin/maintainer-intro
debrelease --dput mentors

 -- Sylvain Beucler <beuc@debian.org>, Tue, 11 Apr 2017 19:19:17 +0200
